--declaramos la variable de retorno que pasaremos como parmetro.
DECLARE 
  RSP CLOB;

BEGIN
--Limpiamos las tablas principales
DELETE FROM TB_LOGS;
DELETE FROM TB_HISTORICO;
DELETE FROM TB_LECTURAS;
DELETE FROM TB_CONTRATOS;
DELETE FROM TB_DISTRIBUCION;
DELETE FROM TB_ALIMENTACION;
DELETE FROM TB_CENTRALES_D;
DELETE FROM TB_LINEAS;
DELETE FROM TB_CENTRALES_P;
DELETE FROM TB_CONTADORES;
DELETE FROM TB_CLIENTES;

--Limpiamos los datos de las tablas del mdulo estadstico.

DELETE FROM ME_CENTRAL_CONSUMO_CONTADORES;
DELETE FROM ME_CONSUMO_MEDIO_CLIENTES;
DELETE FROM ME_LINEA_MAS_CARGADA;
DELETE FROM ME_NUMERO_CENTRALES_MENOS_30;
DELETE FROM ME_PORCENTAJE_LINEAS_MAS_50;
DELETE FROM ME_TOP_CONTADORES_MAS_CONSUMO;
DELETE FROM ME_VALOR_MEDIO_CONSUMO;

--Realizamos las inserciones llamando a los procedimientos almancenados.

--ALTA DE CLIENTES
pr_alta_cliente('11111111B','Miguel Lpez Lorenzo','Somiedo 23','Oviedo','Spain',RSP);
pr_alta_cliente('22222222C','Angel Gazquez Exposito','Pedraforca 4-tico 1','Barcelona','Spain',RSP);
pr_alta_cliente('33333333D','Miguel Ventura Ponsa','Hierbabuena 21','Granada','Spain',RSP);
pr_alta_cliente ('44444444E','Pedro Carmona Moliner','Naranjos 65','Madrid','Spain',RSP);
pr_alta_cliente('55555555F','Carlos Alberto Chamorro Castillo','Campoy 5','Soria','Spain',RSP);
pr_alta_cliente('66666666G','Rubn Lpez Snchez','Amapola 12','Barcelona','Spain',RSP);
pr_alta_cliente('77777777H','Mariano Rajoy Medina','Paseo de la Castellana 16','Madrid','Spain',RSP);

--ALTA DE CONTADORES
pr_alta_contador(1001,'Calabria 1','Barcelona','Spain','CLK88',1988,'SATEC',0.0,RSP);
pr_alta_contador(1002,'Carmona 2','Granada','Spain','CBK89',2000,'PANASONIC',0.0,RSP);
pr_alta_contador(1003,'Casquero 16','Granada','Spain','CLK88',2009,'SATEC',0.0,RSP);
pr_alta_contador(1004,'Longitudinal 1','Barcelona','Spain','CBK89',1999,'PANASONIC',0.0,RSP);
pr_alta_contador(1005,'Oceania 2','Madrid','Spain','CLK110',2008,'CAMILLE',0.0,RSP);
pr_alta_contador(1006,'Amrica 25','Barcelona','Spain','CDG100 ',2008,'PANASONIC',0.0,RSP);
pr_alta_contador(1007,'Anoia 23','Madrid','Spain','CLK89',2001,'SATEC',0.0,RSP);
pr_alta_contador(1008,'Campoy 5','Soria','Spain','CBK89',1988,'PANASONIC',0.0,RSP);
pr_alta_contador(1009,'Tuset 21','Barcelona','Spain','CLK88',2000,'SATEC',0.0,RSP);
pr_alta_contador(1010,'Molinos 5','Oviedo','Spain','CLK110',2008,'CAMILLE',0.0,RSP);
pr_alta_contador(1011,'Paseo de la Castellana 16','Madrid','Spain','CDG100',2007,'PANASONIC',0.0,RSP);
pr_alta_contador(1012,'Amapola 12','Barcelona','Spain','CLK110',2009,'CAMILLE',0.0,RSP);

--ALTA DE CENTRALES DE PRODUCCION
pr_alta_central_p('B-0008','NUCLEAR','POLIGONO H-6','VILADECANS','SPAIN',39000,50000,NULL,NULL,NULL,'01/06/2010',RSP);
pr_alta_central_p('M-0028','TERMICA','CARRETERA DE ANDALUCIA S/N','LA ROZAS','SPAIN',NULL,NULL,10000,NULL,NULL,'20/07/2008',RSP);
pr_alta_central_p('G-0018','SOLAR','POLIGONO ALCAZAR S/N','PADUL','SPAIN',NULL,NULL,NULL,NULL,1500,'31/12/2010',RSP);
pr_alta_central_p('S-0042','EOLICA','POLIGONO LAS CASAS S/N','GARRAY','SPAIN',NULL,NULL,NULL,40,NULL,'05/05/2005',RSP);
pr_alta_central_p('O-0033','CARBON','CARRETERA DE LEON S/N','MIERES','SPAIN',NULL,NULL,25000,NULL,NULL,'10/10/2010',RSP);

--ALTA DE LINEAS
pr_alta_linea(8001,50000,'B-0008',RSP);
pr_alta_linea(8002,30000,'B-0008',RSP);
pr_alta_linea(8003,60000,'B-0008',RSP);
pr_alta_linea(2801,75000,'M-0028',RSP);
pr_alta_linea(2802,40000,'M-0028',RSP);
pr_alta_linea(2803,40000,'M-0028',RSP);
pr_alta_linea(1801,12000,'G-0018',RSP);
pr_alta_linea(1802,20000,'G-0018',RSP);
pr_alta_linea(4201,55000,'S-0042',RSP);
pr_alta_linea(4202,25500,'S-0042',RSP);
pr_alta_linea(3301,30000,'O-0033',RSP);
pr_alta_linea(3302,30000,'O-0033',RSP);

--ALTA DE CENTRALES DE DISTRIBUCION
pr_alta_central_d('POLIGONO BESOS, S/N','BARCELONA','SPAIN',25000,RSP);
pr_alta_central_d('CIUTADELLA, 5','BARCELONA','SPAIN',20000,RSP);
pr_alta_central_d('COBALTO, 25','BARCELONA','SPAIN',12000,RSP);
pr_alta_central_d('TRANSVERSAL S/N','BARCELONA','SPAIN',15000,RSP);
pr_alta_central_d('CARRETERA DE ESPLUGAS S/N','BARCELONA','SPAIN',25000,RSP);
pr_alta_central_d('FELIPE NERI 2','BARCELONA','SPAIN',15000,RSP);
pr_alta_central_d('MONTSERRAT 1','BARCELONA','SPAIN',20000,RSP);
pr_alta_central_d('POLIGONO LAS ROZAS','MADRID','SPAIN',30000,RSP);
pr_alta_central_d('CENTRALISMO, S/N','MADRID','SPAIN',18000,RSP);
pr_alta_central_d('PERALES 5','MADRID','SPAIN',12000,RSP);
pr_alta_central_d('COBALTO S/N','MADRID','SPAIN',12000,RSP);
pr_alta_central_d('METALES 9','MADRID','SPAIN',14000,RSP);
pr_alta_central_d('CARRETERA DE MOTRIL, KM 2','GRANADA','SPAIN',8000,RSP);
pr_alta_central_d('POLIGONO ANDALUCIA S/N','GRANADA','SPAIN',4000,RSP);
pr_alta_central_d('POLIGONO LOS CERROS','GRANADA','SPAIN',19000,RSP);
pr_alta_central_d('POLIGONO LAS PEAS','SORIA','SPAIN',8000,RSP);
pr_alta_central_d('COLLADO, S/N','SORIA','SPAIN',9000,RSP);
pr_alta_central_d('DEHESA 5','SORIA','SPAIN',25000,RSP);
pr_alta_central_d('SAN LORENZO S/N','OVIEDO','SPAIN',20000,RSP);
pr_alta_central_d('POLIGONO GIJON','OVIEDO','SPAIN',9000,RSP);

--ALTA LA ASOCIACION ENTRE LINEAS Y CENTRALES DE DISTRIBUCION
pr_alta_alimentacion('POLIGONO BESOS, S/N','BARCELONA','SPAIN',8001,RSP);
pr_alta_alimentacion('CIUTADELLA, 5','BARCELONA','SPAIN',8001,RSP);
pr_alta_alimentacion('COBALTO, 25','BARCELONA','SPAIN',8002,RSP);
pr_alta_alimentacion('TRANSVERSAL S/N','BARCELONA','SPAIN',8002,RSP);
pr_alta_alimentacion('CARRETERA DE ESPLUGAS S/N','BARCELONA','SPAIN',8003,RSP);
pr_alta_alimentacion('FELIPE NERI 2','BARCELONA','SPAIN',8003,RSP);
pr_alta_alimentacion('MONTSERRAT 1','BARCELONA','SPAIN',8003,RSP);
pr_alta_alimentacion('POLIGONO LAS ROZAS','MADRID','SPAIN',2801,RSP);
pr_alta_alimentacion('CENTRALISMO, S/N','MADRID','SPAIN',2801,RSP);
pr_alta_alimentacion('PERALES 5','MADRID','SPAIN',2802,RSP);
pr_alta_alimentacion('COBALTO S/N','MADRID','SPAIN',2802,RSP);
pr_alta_alimentacion('METALES 9','MADRID','SPAIN',2803,RSP);
pr_alta_alimentacion('CARRETERA DE MOTRIL, KM 2','GRANADA','SPAIN',1801,RSP);
pr_alta_alimentacion('POLIGONO ANDALUCIA S/N','GRANADA','SPAIN',1801,RSP);
pr_alta_alimentacion('POLIGONO LOS CERROS','GRANADA','SPAIN',1802,RSP);
pr_alta_alimentacion('POLIGONO LAS PEAS','SORIA','SPAIN',4201,RSP);
pr_alta_alimentacion('COLLADO, S/N','SORIA','SPAIN',4201,RSP);
pr_alta_alimentacion('DEHESA 5','SORIA','SPAIN',4202,RSP);
pr_alta_alimentacion('SAN LORENZO S/N','OVIEDO','SPAIN',3301,RSP);
pr_alta_alimentacion('POLIGONO GIJON','OVIEDO','SPAIN',3302,RSP);
pr_alta_alimentacion('POLIGONO BESOS, S/N','BARCELONA','SPAIN',2801,RSP);
pr_alta_alimentacion('CIUTADELLA, 5','BARCELONA','SPAIN',4201,RSP);
pr_alta_alimentacion('COBALTO, 25','BARCELONA','SPAIN',2802,RSP);
pr_alta_alimentacion('TRANSVERSAL S/N','BARCELONA','SPAIN',3302,RSP);
pr_alta_alimentacion('CARRETERA DE ESPLUGAS S/N','BARCELONA','SPAIN',2803,RSP);
pr_alta_alimentacion('FELIPE NERI 2','BARCELONA','SPAIN',4201,RSP);
pr_alta_alimentacion('POLIGONO BESOS, S/N','BARCELONA','SPAIN',3301,RSP);

--ALTAS DE LA ASOCIACION ENTRE CONTADORES Y CENTRALES DE DISTRIBUCION
pr_alta_distribucion(1001,'POLIGONO BESOS, S/N','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1004,'POLIGONO BESOS, S/N','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1006,'POLIGONO BESOS, S/N','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1004,'CIUTADELLA, 5','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1006,'CIUTADELLA, 5','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1006,'COBALTO, 25','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1009,'COBALTO, 25','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1012,'TRANSVERSAL S/N','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1009,'CARRETERA DE ESPLUGAS S/N','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1012,'CARRETERA DE ESPLUGAS S/N','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1012,'FELIPE NERI 2','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1009,'MONTSERRAT 1','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1012,'MONTSERRAT 1','BARCELONA','SPAIN',RSP);
pr_alta_distribucion(1005,'POLIGONO LAS ROZAS','MADRID','SPAIN',RSP);
pr_alta_distribucion(1007,'POLIGONO LAS ROZAS','MADRID','SPAIN',RSP);
pr_alta_distribucion(1007,'CENTRALISMO, S/N','MADRID','SPAIN',RSP);
pr_alta_distribucion(1011,'PERALES 5','MADRID','SPAIN',RSP);
pr_alta_distribucion(1007,'COBALTO S/N','MADRID','SPAIN',RSP);
pr_alta_distribucion(1011,'COBALTO S/N','MADRID','SPAIN',RSP);
pr_alta_distribucion(1011,'METALES 9','MADRID','SPAIN',RSP);
pr_alta_distribucion(1002,'CARRETERA DE MOTRIL, KM 2','GRANADA','SPAIN',RSP);
pr_alta_distribucion(1003,'POLIGONO ANDALUCIA S/N','GRANADA','SPAIN',RSP);
pr_alta_distribucion(1002,'POLIGONO LOS CERROS','GRANADA','SPAIN',RSP);
pr_alta_distribucion(1003,'POLIGONO LOS CERROS','GRANADA','SPAIN',RSP);
pr_alta_distribucion(1008,'POLIGONO LAS PEAS','SORIA','SPAIN',RSP);
pr_alta_distribucion(1008,'COLLADO, S/N','SORIA','SPAIN',RSP);
pr_alta_distribucion(1008,'DEHESA 5','SORIA','SPAIN',RSP);
pr_alta_distribucion(1010,'SAN LORENZO S/N','OVIEDO','SPAIN',RSP);
pr_alta_distribucion(1010,'POLIGONO GIJON','OVIEDO','SPAIN',RSP);

--ALTA DE CONTRATOS
pr_alta_contrato('AA000','15/06/2008',3.45,'22222222C',1001,RSP);
pr_alta_contrato('BB000','10/11/2008',6.90,'33333333D',1002,RSP);
pr_alta_contrato('CC000','02/02/2009',4.6,'33333333D',1003,RSP);
pr_alta_contrato('DD000','10/04/2009',16.2,'22222222C',1004,RSP);
pr_alta_contrato('AA001','12/06/2009',4.6,'44444444E',1005,RSP);
pr_alta_contrato('BB001','08/08/2009',3.45,'22222222C',1006,RSP);
pr_alta_contrato('CC001','10/10/2009',6.90,'44444444E',1007,RSP);
pr_alta_contrato('DD001','15/12/2009',12.5,'55555555F',1008,RSP);
pr_alta_contrato('AA002','15/01/2010',16.2,'22222222C',1009,RSP);
pr_alta_contrato('BB002','15/03/2010',4.60,'11111111B',1010,RSP);
pr_alta_contrato('CC002','15/03/2010',3.45,'77777777H',1011,RSP);
pr_alta_contrato('DD002','15/04/2010',4.60,'66666666G',1012,RSP);

--ALTA DE LECTURAS

pr_alta_lectura(1001,'31/01/2009','PRESENCIAL',122.00,RSP);
pr_alta_lectura(1002,'31/01/2009','PRESENCIAL',350.00,RSP);
pr_alta_lectura(1001,'28/02/2009','PRESENCIAL',244.12,RSP);
pr_alta_lectura(1002,'28/02/2009','PRESENCIAL',700.35,RSP);
pr_alta_lectura(1003,'28/02/2009','PRESENCIAL',525.11,RSP);
pr_alta_lectura(1001,'31/03/2009','PRESENCIAL',366.37,RSP);
pr_alta_lectura(1002,'31/03/2009','PRESENCIAL',1051.05,RSP);
pr_alta_lectura(1003,'31/03/2009','PRESENCIAL',1050.73,RSP);
pr_alta_lectura(1001,'30/04/2009','PRESENCIAL',488.73,RSP);
pr_alta_lectura(1002,'30/04/2009','PRESENCIAL',1402.01,RSP);
pr_alta_lectura(1003,'30/04/2009','PRESENCIAL',1576.88,RSP);
pr_alta_lectura(1004,'30/04/2009','PRESENCIAL',100.25,RSP);
pr_alta_lectura(1001,'31/05/2009','PRESENCIAL',611.22,RSP);
pr_alta_lectura(1002,'31/05/2009','PRESENCIAL',1753.50,RSP);
pr_alta_lectura(1003,'31/05/2009','PRESENCIAL',2103.55,RSP);
pr_alta_lectura(1004,'31/05/2009','PRESENCIAL',200.6,RSP);
pr_alta_lectura(1001,'30/06/2009','PRESENCIAL',733.83,RSP);
pr_alta_lectura(1002,'30/06/2009','PRESENCIAL',2105.26,RSP);
pr_alta_lectura(1003,'30/06/2009','PRESENCIAL',2630.76,RSP);
pr_alta_lectura(1004,'30/06/2009','PRESENCIAL',301.05,RSP);
pr_alta_lectura(1005,'30/06/2009','TELEMATICA',50.50,RSP);
pr_alta_lectura(1001,'31/07/2009','PRESENCIAL',856.57,RSP);
pr_alta_lectura(1002,'31/07/2009','PRESENCIAL',2457.36,RSP);
pr_alta_lectura(1003,'31/07/2009','PRESENCIAL',3158.49,RSP);
pr_alta_lectura(1004,'31/07/2009','PRESENCIAL',401.6,RSP);
pr_alta_lectura(1005,'31/07/2009','TELEMATICA',101.05,RSP);
pr_alta_lectura(1001,'31/08/2009','PRESENCIAL',979.42,RSP);
pr_alta_lectura(1002,'31/08/2009','PRESENCIAL',2809.82,RSP);
pr_alta_lectura(1003,'31/08/2009','PRESENCIAL',3686.75,RSP);
pr_alta_lectura(1004,'31/08/2009','PRESENCIAL',502.25,RSP);
pr_alta_lectura(1005,'31/08/2009','TELEMATICA',151.65,RSP);
pr_alta_lectura(1006,'31/08/2009','TELEMATICA',226.8,RSP);
pr_alta_lectura(1001,'30/09/2009','PRESENCIAL',1102.4,RSP);
pr_alta_lectura(1002,'30/09/2009','PRESENCIAL',3162.63,RSP);
pr_alta_lectura(1003,'30/09/2009','PRESENCIAL',4215.53,RSP);
pr_alta_lectura(1004,'30/09/2009','PRESENCIAL',603.01,RSP);
pr_alta_lectura(1005,'30/09/2009','TELEMATICA',202.3,RSP);
pr_alta_lectura(1006,'30/09/2009','TELEMATICA',453.83,RSP);
pr_alta_lectura(1001,'31/10/2009','PRESENCIAL',1225.5,RSP);
pr_alta_lectura(1002,'31/10/2009','PRESENCIAL',3515.79,RSP);
pr_alta_lectura(1003,'31/10/2009','PRESENCIAL',4744.85,RSP);
pr_alta_lectura(1004,'31/10/2009','PRESENCIAL',703.86,RSP);
pr_alta_lectura(1005,'31/10/2009','TELEMATICA',253.01,RSP);
pr_alta_lectura(1006,'31/10/2009','TELEMATICA',681.08,RSP);
pr_alta_lectura(1007,'31/10/2009','PRESENCIAL',417.7,RSP);
pr_alta_lectura(1001,'30/11/2009','PRESENCIAL',1348.73,RSP);
pr_alta_lectura(1002,'30/11/2009','PRESENCIAL',3869.31,RSP);
pr_alta_lectura(1003,'30/11/2009','PRESENCIAL',5274.69,RSP);
pr_alta_lectura(1004,'30/11/2009','PRESENCIAL',804.81,RSP);
pr_alta_lectura(1005,'30/11/2009','TELEMATICA',303.76,RSP);
pr_alta_lectura(1006,'30/11/2009','TELEMATICA',908.56,RSP);
pr_alta_lectura(1007,'30/11/2009','PRESENCIAL',835.82,RSP);
pr_alta_lectura(1001,'31/12/2009','PRESENCIAL',1472.08,RSP);
pr_alta_lectura(1002,'31/12/2009','PRESENCIAL',4223.18,RSP);
pr_alta_lectura(1003,'31/12/2009','PRESENCIAL',5805.07,RSP);
pr_alta_lectura(1004,'31/12/2009','PRESENCIAL',905.87,RSP);
pr_alta_lectura(1005,'31/12/2009','TELEMATICA',354.56,RSP);
pr_alta_lectura(1006,'31/12/2009','TELEMATICA',1136.27,RSP);
pr_alta_lectura(1007,'31/12/2009','PRESENCIAL',1254.35,RSP);
pr_alta_lectura(1008,'31/12/2009','PRESENCIAL',115.25,RSP);
pr_alta_lectura(1001,'31/01/2010','PRESENCIAL',1595.55,RSP);
pr_alta_lectura(1002,'31/01/2010','PRESENCIAL',4577.4,RSP);
pr_alta_lectura(1003,'31/01/2010','PRESENCIAL',6335.97,RSP);
pr_alta_lectura(1004,'31/01/2010','PRESENCIAL',1007.02,RSP);
pr_alta_lectura(1005,'31/01/2010','TELEMATICA',405.42,RSP);
pr_alta_lectura(1006,'31/01/2010','TELEMATICA',1364.21,RSP);
pr_alta_lectura(1007,'31/01/2010','PRESENCIAL',1673.31,RSP);
pr_alta_lectura(1008,'31/01/2010','PRESENCIAL',230.62,RSP);
pr_alta_lectura(1009,'31/01/2010','PRESENCIAL',190.9,RSP);
pr_alta_lectura(1001,'28/02/2010','PRESENCIAL',1719.15,RSP);
pr_alta_lectura(1002,'28/02/2010','PRESENCIAL',4931.80,RSP);
pr_alta_lectura(1003,'28/02/2010','PRESENCIAL',6867.41,RSP);
pr_alta_lectura(1004,'28/02/2010','PRESENCIAL',1108.28,RSP);
pr_alta_lectura(1005,'28/02/2010','TELEMATICA',456.32,RSP);
pr_alta_lectura(1006,'28/02/2010','TELEMATICA',1592.37,RSP);
pr_alta_lectura(1007,'28/02/2010','PRESENCIAL',2092.68,RSP);
pr_alta_lectura(1008,'28/02/2010','PRESENCIAL',346.1,RSP);
pr_alta_lectura(1009,'28/02/2010','PRESENCIAL',381.99,RSP);
pr_alta_lectura(1001,'30/03/2010','PRESENCIAL',1842.87,RSP);
pr_alta_lectura(1002,'30/03/2010','PRESENCIAL',5286.91,RSP);
pr_alta_lectura(1003,'30/03/2010','PRESENCIAL',7399.38,RSP);
pr_alta_lectura(1004,'30/03/2010','PRESENCIAL',1209.64,RSP);
pr_alta_lectura(1005,'30/03/2010','TELEMATICA',507.28,RSP);
pr_alta_lectura(1006,'30/03/2010','TELEMATICA',1820.76,RSP);
pr_alta_lectura(1007,'30/03/2010','PRESENCIAL',2512.47,RSP);
pr_alta_lectura(1008,'30/03/2010','PRESENCIAL',461.69,RSP);
pr_alta_lectura(1009,'30/03/2010','PRESENCIAL',573.08,RSP);
pr_alta_lectura(1010,'30/03/2010','TELEMATICA',255.2,RSP);
pr_alta_lectura(1011,'30/03/2010','TELEMATICA',345.20,RSP);
pr_alta_lectura(1001,'30/04/2010','PRESENCIAL',1966.71,RSP);
pr_alta_lectura(1002,'30/04/2010','PRESENCIAL',5642.20,RSP);
pr_alta_lectura(1003,'30/04/2010','PRESENCIAL',7931.88,RSP);
pr_alta_lectura(1004,'30/04/2010','PRESENCIAL',1311.1,RSP);
pr_alta_lectura(1005,'30/04/2010','TELEMATICA',558.29,RSP);
pr_alta_lectura(1006,'30/04/2010','TELEMATICA',2049.38,RSP);
pr_alta_lectura(1007,'30/04/2010','PRESENCIAL',2932.69,RSP);
pr_alta_lectura(1008,'30/04/2010','PRESENCIAL',577.4,RSP);
pr_alta_lectura(1009,'30/04/2010','PRESENCIAL',764.17,RSP);
pr_alta_lectura(1010,'30/04/2010','TELEMATICA',510.66,RSP);
pr_alta_lectura(1011,'30/04/2010','TELEMATICA',690.10,RSP);
pr_alta_lectura(1012,'30/04/2010','TELEMATICA',125.10,RSP);
pr_alta_lectura(1001,'31/05/2010','PRESENCIAL',2090.68,RSP);
pr_alta_lectura(1002,'31/05/2010','PRESENCIAL',5997.84,RSP);
pr_alta_lectura(1003,'31/05/2010','PRESENCIAL',8464.91,RSP);
pr_alta_lectura(1004,'31/05/2010','PRESENCIAL',1412.66,RSP);
pr_alta_lectura(1005,'31/05/2010','TELEMATICA',609.34,RSP);
pr_alta_lectura(1006,'31/05/2010','TELEMATICA',2278.23,RSP);
pr_alta_lectura(1007,'31/05/2010','PRESENCIAL',3353.32,RSP);
pr_alta_lectura(1008,'31/05/2010','PRESENCIAL',693.23,RSP);
pr_alta_lectura(1009,'31/05/2010','PRESENCIAL',955.26,RSP);
pr_alta_lectura(1010,'31/05/2010','TELEMATICA',766.37,RSP);
pr_alta_lectura(1011,'31/05/2010','TELEMATICA',1041.80,RSP);
pr_alta_lectura(1012,'31/05/2010','TELEMATICA',476.80,RSP);
pr_alta_lectura(1001,'30/06/2010','PRESENCIAL',2214.77,RSP);
pr_alta_lectura(1002,'30/06/2010','PRESENCIAL',6353.84,RSP);
pr_alta_lectura(1003,'30/06/2010','PRESENCIAL',8998.47,RSP);
pr_alta_lectura(1004,'30/06/2010','PRESENCIAL',1514.32,RSP);
pr_alta_lectura(1005,'30/06/2010','TELEMATICA',660.45,RSP);
pr_alta_lectura(1006,'30/06/2010','TELEMATICA',2507.31,RSP);
pr_alta_lectura(1007,'30/06/2010','PRESENCIAL',3774.37,RSP);
pr_alta_lectura(1008,'30/06/2010','PRESENCIAL',809.17,RSP);
pr_alta_lectura(1009,'30/06/2010','PRESENCIAL',1146.35,RSP);
pr_alta_lectura(1010,'30/06/2010','TELEMATICA',1022.33,RSP);
pr_alta_lectura(1011,'30/06/2010','TELEMATICA',1392.33,RSP);
pr_alta_lectura(1012,'30/06/2010','TELEMATICA',821.33,RSP);
pr_alta_lectura(1001,'31/07/2010','PRESENCIAL',2338.98,RSP);
pr_alta_lectura(1002,'31/07/2010','PRESENCIAL',6710.19,RSP);
pr_alta_lectura(1003,'31/07/2010','PRESENCIAL',9532.57,RSP);
pr_alta_lectura(1004,'31/07/2010','PRESENCIAL',1616.09,RSP);
pr_alta_lectura(1005,'31/07/2010','TELEMATICA',711.61,RSP);
pr_alta_lectura(1006,'31/07/2010','TELEMATICA',2736.62,RSP);
pr_alta_lectura(1007,'31/07/2010','PRESENCIAL',4195.85,RSP);
pr_alta_lectura(1008,'31/07/2010','PRESENCIAL',925.23,RSP);
pr_alta_lectura(1009,'31/07/2010','PRESENCIAL',1337.45,RSP);
pr_alta_lectura(1010,'31/07/2010','TELEMATICA',1278.55,RSP);
pr_alta_lectura(1011,'31/07/2010','TELEMATICA',1500.55,RSP);
pr_alta_lectura(1012,'31/07/2010','TELEMATICA',1200.55,RSP);
pr_alta_lectura(1001,'31/08/2010','PRESENCIAL',2463.32,RSP);
pr_alta_lectura(1002,'31/08/2010','PRESENCIAL',7066.90,RSP);
pr_alta_lectura(1003,'31/08/2010','PRESENCIAL',10067.2,RSP);
pr_alta_lectura(1004,'31/08/2010','PRESENCIAL',1717.95,RSP);
pr_alta_lectura(1005,'31/08/2010','TELEMATICA',762.83,RSP);
pr_alta_lectura(1006,'31/08/2010','TELEMATICA',2966.16,RSP);
pr_alta_lectura(1007,'31/08/2010','PRESENCIAL',4617.74,RSP);
pr_alta_lectura(1008,'31/08/2010','PRESENCIAL',1041.41,RSP);
pr_alta_lectura(1009,'31/08/2010','PRESENCIAL',1528.54,RSP);
pr_alta_lectura(1010,'31/08/2010','TELEMATICA',1535.03,RSP);
pr_alta_lectura(1011,'31/08/2010','TELEMATICA',1861.03,RSP);
pr_alta_lectura(1012,'31/08/2010','TELEMATICA',1596.03,RSP);
pr_alta_lectura(1001,'30/09/2010','PRESENCIAL',2587.78,RSP);
pr_alta_lectura(1002,'30/09/2010','PRESENCIAL',7423.97,RSP);
pr_alta_lectura(1003,'30/09/2010','PRESENCIAL',10602.37,RSP);
pr_alta_lectura(1004,'30/09/2010','PRESENCIAL',1819.92,RSP);
pr_alta_lectura(1005,'30/09/2010','TELEMATICA',814.09,RSP);
pr_alta_lectura(1006,'30/09/2010','TELEMATICA',3195.92,RSP);
pr_alta_lectura(1007,'30/09/2010','PRESENCIAL',5040.06,RSP);
pr_alta_lectura(1008,'30/09/2010','PRESENCIAL',1157.7,RSP);
pr_alta_lectura(1009,'30/09/2010','PRESENCIAL',1719.63,RSP);
pr_alta_lectura(1010,'30/09/2010','TELEMATICA',1791.77,RSP);
pr_alta_lectura(1011,'30/09/2010','TELEMATICA',2115.77,RSP);
pr_alta_lectura(1012,'30/09/2010','TELEMATICA',2815.77,RSP);
pr_alta_lectura(1001,'31/10/2010','PRESENCIAL',2712.37,RSP);
pr_alta_lectura(1002,'31/10/2010','PRESENCIAL',7781.39,RSP);
pr_alta_lectura(1003,'31/10/2010','PRESENCIAL',11138.07,RSP);
pr_alta_lectura(1004,'31/10/2010','PRESENCIAL',1921.99,RSP);
pr_alta_lectura(1005,'31/10/2010','TELEMATICA',865.4,RSP);
pr_alta_lectura(1006,'31/10/2010','TELEMATICA',3425.92,RSP);
pr_alta_lectura(1007,'31/10/2010','PRESENCIAL',5462.8,RSP);
pr_alta_lectura(1008,'31/10/2010','PRESENCIAL',1274.11,RSP);
pr_alta_lectura(1009,'31/10/2010','PRESENCIAL',1910.72,RSP);
pr_alta_lectura(1010,'31/10/2010','TELEMATICA',2048.76,RSP);
pr_alta_lectura(1011,'31/10/2010','TELEMATICA',2410.76,RSP);
pr_alta_lectura(1012,'31/10/2010','TELEMATICA',3225.76,RSP);
pr_alta_lectura(1001,'30/11/2010','PRESENCIAL',2837.08,RSP);
pr_alta_lectura(1002,'30/11/2010','PRESENCIAL',8139.17,RSP);
pr_alta_lectura(1003,'30/11/2010','PRESENCIAL',11674.31,RSP);
pr_alta_lectura(1004,'30/11/2010','PRESENCIAL',2024.16,RSP);
pr_alta_lectura(1005,'30/11/2010','TELEMATICA',916.77,RSP);
pr_alta_lectura(1006,'30/11/2010','TELEMATICA',3656.14,RSP);
pr_alta_lectura(1007,'30/11/2010','PRESENCIAL',5885.96,RSP);
pr_alta_lectura(1008,'30/11/2010','PRESENCIAL',1390.63,RSP);
pr_alta_lectura(1009,'30/11/2010','PRESENCIAL',2101.81,RSP);
pr_alta_lectura(1010,'30/11/2010','TELEMATICA',2306.01,RSP);
pr_alta_lectura(1011,'30/11/2010','TELEMATICA',2766.01,RSP);
pr_alta_lectura(1012,'30/11/2010','TELEMATICA',3657.01,RSP);
pr_alta_lectura(1001,'31/12/2010','PRESENCIAL',2961.92,RSP);
pr_alta_lectura(1002,'31/12/2010','PRESENCIAL',8497.31,RSP);
pr_alta_lectura(1003,'31/12/2010','PRESENCIAL',12211.08,RSP);
pr_alta_lectura(1004,'31/12/2010','PRESENCIAL',2126.44,RSP);
pr_alta_lectura(1005,'31/12/2010','TELEMATICA',968.18,RSP);
pr_alta_lectura(1006,'31/12/2010','TELEMATICA',3886.6,RSP);
pr_alta_lectura(1007,'31/12/2010','PRESENCIAL',6309.55,RSP);
pr_alta_lectura(1008,'31/12/2010','PRESENCIAL',1507.27,RSP);
pr_alta_lectura(1009,'31/12/2010','PRESENCIAL',2292.9,RSP);
pr_alta_lectura(1010,'31/12/2010','TELEMATICA',2563.51,RSP);
pr_alta_lectura(1011,'31/12/2010','TELEMATICA',3159.51,RSP);
pr_alta_lectura(1012,'31/12/2010','TELEMATICA',4202.51,RSP);

END;
