--declaramos la variable de retorno que pasaremos como parmetro.
DECLARE 
  RSP CLOB;

BEGIN

--Realizamos las modificaciones llamando a los procedimientos almancenados.

--MODIFICACION DE CLIENTES
pr_modifica_cliente('11111111B','Manuel Lpez Lorenzo','Somiedo 23','Oviedo','Spain',RSP);--modificamos nombre
pr_modifica_cliente('66666666G','Rubn Lpez Snchez','Cerdany 12','Barcelona','Spain',RSP);--modificamos direccin
pr_modifica_cliente('77777777H','Mariano Rajoy Medina','Recoletos 16','Getafe','Spain',RSP);--modificamos direccion y localidad

--MODIFICACION DE CONTADORES
pr_modifica_contador(1001,'Calabria 1','Barcelona','Spain',RSP); --no modificamos
pr_modifica_contador(1011,'Tapie 23','Toulouse','France',RSP);--modificamos direccin, localidad y pais
pr_modifica_contador(1012,'Amapola 12','Badalona','Spain',RSP);--modificamos localidad

--MODIFICACION DE CENTRALES DE PRODUCCION
pr_modifica_central_p('B-0008',39000,50000,NULL,NULL,NULL,'25/08/2011',RSP);--modificamos la fecha de la ltima inspeccin
pr_modifica_central_p('M-0028',NULL,NULL,5000,NULL,NULL,'20/07/2008',RSP);--modificamos las emisiones de co2.

--MODIFICACION DE LINEAS
pr_modifica_linea(8001,60000,RSP);--modificamos la capacidad de la lnea

--MODIFICACION DE CENTRALES DE DISTRIBUCION
pr_modifica_central_d('POLIGONO BESOS, S/N','BARCELONA','SPAIN',35000,RSP);--modificamos el suministro mximo
pr_modifica_central_d('COBALTO S/N','MADRID','SPAIN',10000,RSP);--modificamos el suministro mximo
pr_modifica_central_d('POLIGONO GIJON','OVIEDO','SPAIN',15000,RSP);

--MODIFICACION DE CONTRATOS
pr_modifica_contrato('AA000','14/04/2011',NULL,RSP);--damos de baja el contrato modificando la fecha de baja
pr_modifica_contrato('BB000',NULL,8.90,RSP);--modificamos la potencia contratada

--MODIFICACION DE LECTURAS

pr_modifica_lectura(1004,'30/04/2010','TELEMATICA',NULL,RSP);
pr_modifica_lectura(1006,'30/06/2010','PRESENCIAL',NULL,RSP);
pr_modifica_lectura(1012,'31/12/2010',NULL,4250.51,RSP);

END;
